<?php

  $unique_startup_color_palette_css = '';

	// Global Color

	$unique_startup_first_color = unique_startup_get_option('unique_startup_first_color');

	if($unique_startup_first_color != false){
		$unique_startup_color_palette_css .=':root {';
			$unique_startup_color_palette_css .='--primary-color: '.esc_attr($unique_startup_first_color).'!important;';
		$unique_startup_color_palette_css .='}';
	}

  /*-------------- Copyright Text Align-------------------*/

	$unique_startup_copyright_text_align = unique_startup_get_option('unique_startup_copyright_text_align');
	$unique_startup_color_palette_css .='.site-footer{';
	$unique_startup_color_palette_css .='text-align: '.esc_attr($unique_startup_copyright_text_align).' !important;';
	$unique_startup_color_palette_css .='}';
	$unique_startup_color_palette_css .='
	@media screen and (max-width:575px) {
	.site-footer{';
	$unique_startup_color_palette_css .='text-align: center !important;';
	$unique_startup_color_palette_css .='} }';

  // copyright font size
	$unique_startup_copyright_text_font_size = unique_startup_get_option('unique_startup_copyright_text_font_size');
	$unique_startup_color_palette_css .='#colophon p, #colophon a , #colophon{';
	$unique_startup_color_palette_css .='font-size: '.esc_attr($unique_startup_copyright_text_font_size).'px;';
	$unique_startup_color_palette_css .='}';

	// Copyright Background Color
	$unique_startup_copyright_background_color = unique_startup_get_option('unique_startup_copyright_background_color');
	$unique_startup_color_palette_css .='#colophon {';
	$unique_startup_color_palette_css .='background: '.esc_attr($unique_startup_copyright_background_color);
	$unique_startup_color_palette_css .='}';

	// Copyright Text Color
	$unique_startup_copyright_text_color = unique_startup_get_option('unique_startup_copyright_text_color');
	$unique_startup_color_palette_css .='#colophon a , #colophon{';
	$unique_startup_color_palette_css .='color: '.esc_attr($unique_startup_copyright_text_color);
	$unique_startup_color_palette_css .='}';	

	// Site title And tagline Option
	$unique_startup_site_title_font_size = unique_startup_get_option('unique_startup_site_title_font_size');
	$unique_startup_site_title_color = unique_startup_get_option('unique_startup_site_title_color');
	$unique_startup_color_palette_css .='.site-title>a , .site-title {';
		$unique_startup_color_palette_css .='font-size: '.esc_attr($unique_startup_site_title_font_size).'px;';
		$unique_startup_color_palette_css .='color: '.esc_attr($unique_startup_site_title_color).';';
	$unique_startup_color_palette_css .='}';
	
	$unique_startup_site_tagline_font_size = unique_startup_get_option('unique_startup_site_tagline_font_size');
	if($unique_startup_site_tagline_font_size != false){
		$unique_startup_color_palette_css .='.site-description {';
			$unique_startup_color_palette_css .='font-size: '.esc_attr($unique_startup_site_tagline_font_size).'px;';
		$unique_startup_color_palette_css .='}';
	}

	//First Cap
	$unique_startup_show_first_caps = unique_startup_get_option('unique_startup_show_first_caps', false);
	if($unique_startup_show_first_caps == 'true' ){
	$unique_startup_color_palette_css .='.blog-content .text-content p:nth-of-type(1)::first-letter{';
	$unique_startup_color_palette_css .=' font-size: 50px; font-weight: 600;';
	$unique_startup_color_palette_css .=' margin-right: 5px;';
	$unique_startup_color_palette_css .=' line-height: 1;';
	$unique_startup_color_palette_css .='}';
	}elseif($unique_startup_show_first_caps == 'false' ){
	$unique_startup_color_palette_css .='.blog-content .text-content p:nth-of-type(1)::first-letter {';
	$unique_startup_color_palette_css .='display: none;';
	$unique_startup_color_palette_css .='}';
	}

	// preloader background image
	
	$unique_startup_show_preloader_background_image = unique_startup_get_option('unique_startup_show_preloader_background_image');
	if($unique_startup_show_preloader_background_image != false){
		$unique_startup_color_palette_css .='#preloader {';
			$unique_startup_color_palette_css .='background: url('.esc_attr($unique_startup_show_preloader_background_image).');-webkit-background-size: cover; -moz-background-size: cover; -o-background-size: cover; background-size: cover;';
		$unique_startup_color_palette_css .='}';
	}

	// Sticky Copyright

	$unique_startup_resp_stickycopyright = unique_startup_get_option( 'unique_startup_stickycopyright_hide_show',false);
    if($unique_startup_resp_stickycopyright == true && unique_startup_get_option( 'unique_startup_copyright_sticky',false) != true){
        $unique_startup_color_palette_css  .='.copyright-sticky{';
            $unique_startup_color_palette_css  .='position:static;';
        $unique_startup_color_palette_css  .='} ';
    }